// SPDX-License-Identifier: GPL-2.0-or-later
/*
 * FMC Framework
 *
 * Copyright (C) 2018 CERN
 * Author: Federico Vaga <federico.vaga@vaga.pv.it>
 */
#include <linux/version.h>

#if KERNEL_VERSION(3, 11, 0) > LINUX_VERSION_CODE
#define __ATTR_RW(_name) __ATTR(_name, (S_IWUSR | S_IRUGO),	\
			 _name##_show, _name##_store)
#define DEVICE_ATTR_RW(_name) \
	struct device_attribute dev_attr_##_name = __ATTR_RW(_name)
#define DEVICE_ATTR_RO(_name) \
	struct device_attribute dev_attr_##_name = __ATTR_RO(_name)
#endif
